import LooseObject from './LooseObject';
import Paragraph from './Paragraph';
import Author from './Author';
export default class Story {
    /**
     * @param  {LooseObject} json
     */
    constructor(json: LooseObject);
    id: String;
    title: String;
    detectedLanguage: String;
    updatedAt: Date;
    createdAt: Date;
    content: Content;
    author: Author;
}
export declare class Content {
    subtitle: String;
    /**
     * @param  {String} publicsubtitle
     * @param  {LooseObject[]} paragraphs
     */
    constructor(subtitle: String, paragraphs: LooseObject[]);
    toMarkdown(): string;
    paragraphs: Paragraph[];
}
