"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var default_1 = /** @class */ (function () {
    function default_1(json) {
        this.posts = [];
        // publication
        if (json.hasOwnProperty('collection')) {
            this.parsePublication(json);
        }
        // user
        if (json.hasOwnProperty('user')) {
            this.parseUser(json);
        }
    }
    default_1.prototype.parseUser = function (json) {
        var posts = Object.keys(json.references.Post).map(function (key) { return json.references.Post[key]; });
        this.posts = posts.map(function (p) { return new Post(p.uniqueSlug, p.title); });
    };
    default_1.prototype.parsePublication = function (json) {
        this.posts = json.posts.map(function (p) { return new Post(p.uniqueSlug, p.title); });
    };
    return default_1;
}());
exports.default = default_1;
var Post = /** @class */ (function () {
    /**
     *
     */
    function Post(uniqueSlug, title) {
        this.uniqueSlug = uniqueSlug;
        this.title = title;
    }
    return Post;
}());
//# sourceMappingURL=Latest.js.map